{% extends "base.html" %}
{% load static %}
{% load hitcount_tags %}
{% load i18n %}

{% block content %}
    <!-- ==========Page Header Section Starts Here========== -->
    <div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/5.png" %})">
        <div class="container">
            <div class="pageheader__content">
                <h2>{% trans "Blog Details" %}</h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.html">{% trans "Home" %}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{% trans "Blog Details" %}</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- ==========Page Header Section Ends Here========== -->




    <!-- ===============>> Blog-details section start here <<================= -->
    <div class="blog home blog--details padding-top padding-bottom">
        <div class="container" data-aos="fade-up" data-aos-duration="1000" data-aos-delay="100">
            <div class="section__wrapper">
                <div class="row g-5">
                    <div class="col-lg-8 col-12">
                        <div class="row g-4 justify-content-center">
                            <div class="col-12">
                                <div class="blog__item">
                                    <div class="blog__inner">
                                        <div class="blog__thumb">
                                            {% if blog.photo2 %}
                                            <img src="{{ blog.photo2.url }}" alt="blog-images">
                                            {% endif %}
                                        </div>
                                        <div class="blog__content">
                                            <div class="blog__meta">
                                                <ul>
                                                    <li><i class="fa-solid fa-user"></i>
                                                        {{ blog.user.first_name }} {{ blog.user.last_name }}</li>
                                                    <li><i class="fa-solid fa-clock"></i>
                                                        {{ blog.update_at }}</li>
                                                    <li><i class="fa-solid fa-eye"></i>
                                                        {% comment %} {% get_hit_count for blog %} Views {% endcomment %} 120 {% trans "Views" %} </li>
                                                    <li>
                                                        <a href="#"><i class="fa-solid fa-comment"></i>
                                                            {% trans "Comments" %} ({{ blog.commint.all|length }})</a>
                                                    </li>
                                                </ul>
                                            </div>
                                            <h2>{{ blog.title }}</h2>
                                            {{ blog.body|safe }}
                                        </div>
                                    </div>
                                </div>
                                <div class="blog__tag">
                                    <ul class="social-link-list">
                                        <li><a href="#" class="facebook"><i
                                                    class="fa-brands fa-facebook-f"></i>{% trans "Share" %}</a>
                                        </li>
                                        <li><a href="#" class="twitter"><i class="fa-brands fa-twitter"></i>{% trans "Tweet" %}</a>
                                        </li>
                                        <li><a href="#" class="linkedin"><i
                                                    class="fa-brands fa-linkedin-in"></i>{% trans "LinkedIn" %}</a>
                                        </li>
                                    </ul>
                                    <ul class="tags">
                                        {% for blog_tag in blog.tag.all %}
                                            <li><a href="#">{{ blog_tag }}</a></li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="col-lg-4 col-md-8  col-12">
                        <div class="sidebar">
                            <div class="row g-4">
                                <div class="col-12">
                                    <div class="sidebar__search">
                                        <div class="body">
                                            <form class="" action="#">
                                                <div class="input-group">
                                                    <input type="text" class="form-control" placeholder="Search">
                                                    <button type="submit" class="search-btn"><i
                                                            class="fa-solid fa-magnifying-glass"></i></button>
                                                </div>
                                            </form>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="sidebar__recentpost">
                                        <div class="head">
                                            <h6>{% trans "Related Post" %}</h6>
                                        </div>
                                        <div class="body">
                                            <ul>
                                                {% for related_post in related_post %}
                                                {% if blog.id == related_post.id %}
                                                {% else %}
                                                    <li>
                                                        <div class="thumb">
                                                            <a href="{% url "blog:blogs_detail" related_post.id %}">
                                                                {% if related_post.photo1 %}
                                                                    <img
                                                                    src="{{ related_post.photo1.url }}"
                                                                    alt="recentpost-image">
                                                                {% endif %}
                                                                </a>
                                                        </div>
                                                        <div class="content">
                                                            <p><a href="{% url "blog:blogs_detail" related_post.id %}">{{ related_post.title|slice:"0:50" }}</a></p>
                                                        </div>
                                                    </li>
                                                {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="sidebar__categorie">
                                        <div class="head">
                                            <h6>Categories</h6>
                                        </div>
                                        <div class="body">
                                            <div class="content">
                                                <ul>
                                                    {% for category in category %}
                                                        <li>
                                                            <a href="#">{{ category.name }}</a>
                                                        </li>
                                                    {% endfor %}
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="sidebar__tags">
                                        <div class="head">
                                            <h6>{% trans "Tags" %}</h6>
                                        </div>
                                        <div class="body">
                                            <div class="content">
                                                <ul>
                                                    {% for tag in tags %}
                                                    <li><a href="#" >{{ tag.name }}</a></li>
                                                    {% endfor %}
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> Blog-details section end here <<================= -->



    <!-- ===============>> Blog section start here <<================= -->
    <section class="blog blog--style1  padding-bottom" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="section-header">
                <h2>Latest Article</h2>
            </div>
            <div class="blog__wrapper">
                <div class="row g-4">
                    {% for last_blog in last_blog %}
                    {% if blog.id == last_blog.id %}
                    {% else %}
                        <div class="col-lg-4 col-md-6" data-aos="fade-up" data-aos-duration="700">
                            <div class="blog__item">
                                <div class="blog__item-inner">
                                    <div class="blog__thumb">
                                        {% if last_blog.photo1 %}
                                            <img src="{{ last_blog.photo1.url }}" alt="blog Images">
                                        {% endif %}
                                    </div>

                                    <div class="blog__content">
                                        <div class="blog__content-top">
                                            <span class="blog__meta-tag blog__meta-tag--cat{{ last_blog.style }}">{{ last_blog.category.name }}</span>
                                        </div>
                                        <h6> <a href="{% url "blog:blogs_detail" last_blog.id %}">{{ last_blog.title|slice:"0:50" }}</a> </h6>

                                        <div class="blog__content-bottom blog__content-bottom--border">
                                            <a href="#"><span><i class="fa-solid fa-calendar-days"></i></span>
                                                {{ last_blog.update_at }}</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Blog section end here <<================= -->





    <!-- ===============>> Blog comment start here <<================= -->
    <div class="blog home blog--details padding-bottom">
        <div class="container" data-aos="fade-up" data-aos-duration="800" data-aos-delay="100">
            <div class="section__wrapper">
                <div class="row g-5">
                    <div class="col-lg-8 col-12">
                        <div class="row g-4 justify-content-center">
                            <div class="sidebar">
                                <div class="row g-5">
                                    <div class="col-12">
                                        <div class="sidebar__comment">
                                            <div class="head">
                                                <h3 class="comment">{{ blog.commint.all|length }} {% trans "Comments" %}</h3>
                                            </div>
                                            <div class="body">
                                                <ul>
                                                    {% for commint in blog.commint.all %}
                                                    {% if not commint.parent %}
                                                        <li class="sidebar__comment-item">
                                                            <div class="comment">
                                                                <div class="thumb">
                                                                    <img src="{{ commint.user.photo.url }}"
                                                                        alt="comment-author" width=150>
                                                                </div>
                                                                <div class="content">
                                                                    <div class="content__top">
                                                                        <div class="name">
                                                                            <h6>{{ commint.user.first_name }} {{ commint.user.last_name }}</h6>
                                                                            <span>{{ commint.create_at }}</span>
                                                                        </div>
                                                                        <div class="reply reply--web">
                                                                            <a href="#post" class=""> <i
                                                                                    class="fa-solid fa-reply"></i> reply</a>
                                                                        </div>
                                                                    </div>
                                                                    <div class="content__bottom">
                                                                        <p>{{ commint.comment }}</p>

                                                                        <div class="reply reply--mobile">
                                                                            <a href="#post" class=""> <i
                                                                                    class="fa-solid fa-reply"></i> reply</a>
                                                                        </div>
                                                                    </div>
                                                                    {% if commint.children %}
                                                                        <ul>
                                                                            {% for commint_child in commint.children.all %}
                                                                                <li>
                                                                                    <div class="comment comment--reply">
                                                                                        <div class="thumb">
                                                                                            <img src="{{ commint_child.user.photo.url }}" width=100
                                                                                                alt="comment-author">
                                                                                        </div>
                                                                                        <div class="content">
                                                                                            <div class="content__top">
                                                                                                <div class="name">
                                                                                                    <p>{{ commint.user.first_name }} {{ commint.user.last_name }}</p>
                                                                                                    <span>{{ commint.create_at }}</span>
                                                                                                </div>
                                                                                                <div class="reply reply--web">
                                                                                                    <a href="#post"><i
                                                                                                            class="fa-solid fa-reply"></i>
                                                                                                        reply</a>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="content__bottom">
                                                                                                <p class="reply">{{ commint.comment }}</p>
                                                                                                <div class="reply reply--mobile">
                                                                                                    <a href="#post" class=""> <i
                                                                                                            class="fa-solid fa-reply"></i>
                                                                                                        reply</a>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>

                                                                                </li>
                                                                            {% endfor %}
                                                                        </ul>
                                                                    {% endif %}
                                                                </div>
                                                            </div>

                                                        </li>
                                                    {% endif %}
                                                    {% endfor %}
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="sidebar__commentForm" id="post">
                                            <div class="head">
                                                <h3>{% trans "Post a Comment" %}</h3>
                                            </div>
                                            <div class="body">

                                                <form >
                                                    <div class="row g-4">
                                                        <div class="col-lg-6">
                                                            <div class="input-group">
                                                                <input class="form-control" type="text"
                                                                    placeholder="Full Name">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6">
                                                            <div class="input-group">
                                                                <input class="form-control" type="text"
                                                                    placeholder="Subject">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="input-group">
                                                                <input class="form-control" type="email"
                                                                    placeholder="Email here">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12">
                                                            <div class="input-group">
                                                                <textarea cols="30" rows="5" class="form-control"
                                                                    placeholder="Enter Your Message"></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <button type="submit"
                                                        class="trk-btn trk-btn--rounded trk-btn--secondary1 mt-5">{% trans "Post Now" %}</button>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 col-12">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> Blog comment end here <<================= -->




    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="newsletter__wrapper">
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2>{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->

{% endblock content %}
 